library(stockassessment)
source("src/fixforecast.R")
load("run/model.RData")
FC<-list()

set.seed(12345)
FC[[length(FC)+1]] <- forecastx(fit, fscale=c(1,1,1,1), label="SQ all years", processNoiseF=FALSE)

set.seed(12345)
FC[[length(FC)+1]] <- forecastx(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.000001,0.000001, 0.000001), label="SQ then zero", processNoise=FALSE)

set.seed(12345)
FC[[length(FC)+1]] <- forecastx(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.2,0.2, 0.2), label="SQ then F=0.2", processNoise=FALSE)

set.seed(12345)
FC[[length(FC)+1]] <- forecastx(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.17,0.17, 0.17), label="SQ then F=0.17", processNoise=FALSE)

set.seed(12345)
FC[[length(FC)+1]] <- forecastx(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.34,0.34, 0.34), label="SQ then F=0.34", processNoise=FALSE)


save(FC, file="run/forecast.RData")
